#!/bin/nawk -f
BEGIN {
#	printf "#  cruise = %s\n", Cruise
#	printf "#  cruise name = %s\n", ex_name
#	printf "#  Ship = %s\n", Ship
#	printf "#  Chief Scientist = %s\n", ChiSci
#	printf "#  begin date = %s\n", Bdate
#	printf "#  begin port = %s\n", Bport
#	printf "#  end date = %s\n", Edate
#	printf "#  end port = %s\n", Eport
}
{
	if ( $1 == "LINE_01") {
		printf "1"
		printf "%8s",Cruise
		printf "MGD77"
		printf "        "
		printf "1029%1s%1s%1s11",dep,mag,grav
		printf "      "
		printf "%-41s","SCRIPPS INSTITUTION OF OCEANOGRAPHY"
		printf "01\n"
		next
	}
	if ( $1 == "LINE_02") {
		printf "USA               "
		printf "R/V %-17s",Ship
		printf "1SHIP  "
		printf "%-32s",ChiSci
		printf "02\n"
		next
	}
	if ( $1 == "LINE_03" ) {
		printf "%s",ex_name
		printf " LEG %2s", leg
		blanks = 58 - (length(ex_name) + 7)
		for ( i=0; i<blanks; i++) printf " "
		printf "Funding Agnecy      "
		printf "03\n"
	}
	if ( $1 == "LINE_04") {
		printf "%-6s%-34s",Bdate,Bport
		printf "%-6s%-32s",Edate,Eport
		printf "04\n"
		next
	}
	if ( $1 == "LINE_06") {
		if (Ship == "Melville" ) {
			printf "SEABEAM 2000 12kHz, w/SIDESCAN"
			printf "          "
		}
		if (Ship == "Revelle" ) {
			printf "SEABEAM 2100 12kHz, w/SIDESCAN"
			printf "          "
		}
		printf "ANAL.REC,35MM FILM,DIGITAL MAG. TAPE  "
		printf "06\n"
		next
	}
	if ( $1 == "LINE_07" ) {
		if ( mag == 5) {
			printf "GEOMETRICS 886                          "
			printf "DIGITAL TAPE                          "
			printf "07\n"
		} else {
			printf "                                        "
			printf "                                      "
			printf "07\n"
		}
		next
	}
	if ( $1 == "LINE_08") {
		if ( Ship == "Melville" ) {
			printf "BELL BGM-3 METER S/N 224"
			printf "                "
			printf "DIGITAL TAPE                          "
			printf "08\n"
		}
		if ( Ship == "Revelle" ) {
			printf "                "
			printf "                        "
			printf "                                      "
			printf "08\n"
		}
	}
	if ( $1 == "LINE_23") {
		if ( grav == 3) {
			printf "GRAVITY: Gravity was collected but not funded, not included in file.          23\n"
		} else {
			printf "                                                                              23\n"
		}
		next
	}
	printf "%s\n",$0
	
}
END {
#	printf "all done\n"
}
